/*  Exile - IRC to Relational Database Gateway
 *  Copyright (C) 2002 Lucas Nussbaum <lucas@lucas-nussbaum.net>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: actions.h 2215 2008-08-04 23:48:13Z sirvulcan $
 */

#ifndef _ACTIONS_H_
#define _ACTIONS_H_

void do_checknbchansmax();
void do_checknbusersmax();
void do_checknbservsmax();

void do_addusers(int chanid, char *users, int create);
void do_server(char *server, char *comment, char *linkedto, char *numeric);
void do_squit(char *server, char *reason);
void do_nick_new(int ac, char **av, char *source);
void do_nick_chg(char *newnick, char *oldnick);
void do_part(char *chan, char *nick);
void do_partall(char *nick);
void do_join(char *chan, char *nick, int create);
void do_quit(char *nick);
void do_umode(char *nick, char *modes, char **args, int nbmodes);
void do_cmode(char *chan, char **modes, int nbmodes);
void do_clearmode(char *chan, char **modes, int nbmodes);
void do_topic(char *chan, char *author, char *time, char *topic);
void do_away_set(char *nick, char *msg);
void do_away_unset(char *nick);
void do_lusers(char *nick);
void do_swhois(char * user, char * msg);
void do_silence(char * user, char * host);
void do_usermodes(int nickid, char *modes, char **args, int nbmodes);
void clean_channelname(char *cn);
void do_stats();

/* available modes for each ircd */
#if defined(IRCD_IRCU11)
#define USERMODES "dioswkgxr"
#define CHANMODES "biklmnopstvr"
#elif defined(IRCD_IRCU12)
#define USERMODES "dioswkgx"
#define CHANMODES "AbiklmnopstUvrD"
#elif defined(IRCD_NEFARIOUS4)
#define USERMODES "adfghiknoswxBIRWX"
#define CHANMODES "abcehiklmnoprstvzCLMNOQSTZ"
#elif defined(IRCD_NEFARIOUS10)
#define USERMODES "adcfghiknoswxBCDIRWX"
#define CHANMODES "abcehiklmnoprstvzCLMNOQSTZ"

#endif

#endif
